The wl_region interface

## Macros

#define | WL_REGION_DESTROY_SINCE_VERSION 1
#define | WL_REGION_ADD_SINCE_VERSION 1
#define | WL_REGION_SUBTRACT_SINCE_VERSION 1

## Functions

static void | wl_region_set_user_data (struct wl_region *wl_region, void *user_data)
static void * | wl_region_get_user_data (struct wl_region *wl_region)
static void | wl_region_destroy (struct wl_region *wl_region)
static void | wl_region_add (struct wl_region *wl_region, int32_t x, int32_t y, int32_t width, int32_t height)
static void | wl_region_subtract (struct wl_region *wl_region, int32_t x, int32_t y, int32_t width, int32_t height)

## Detailed Description

A region object describes an area.

Region objects are used to describe the opaque and input regions of a surface.

## Macro Definition Documentation

## WL_REGION_ADD_SINCE_VERSION

#define WL_REGION_ADD_SINCE_VERSION 1

Definition at line 5237 of file wayland-client-protocol.h.

## WL_REGION_DESTROY_SINCE_VERSION

#define WL_REGION_DESTROY_SINCE_VERSION 1

Definition at line 5233 of file wayland-client-protocol.h.

## WL_REGION_SUBTRACT_SINCE_VERSION

#define WL_REGION_SUBTRACT_SINCE_VERSION 1

Definition at line 5241 of file wayland-client-protocol.h.

## Function Documentation

## wl_region_add()

static void wl_region_add | ( | struct wl_region * | wl_region,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | width,
|  | int32_t | height
| ) |  |

inline static

Add the specified rectangle to the region.

Definition at line 5283 of file wayland-client-protocol.h.

References WL_REGION_ADD.

{
wl_proxy_marshal((struct wl_proxy *) wl_region,
WL_REGION_ADD, x, y, width, height);
}
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
WL_REGION_ADD
#define WL_REGION_ADD
Definition: wayland-client-protocol.h:5226
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572

## wl_region_destroy()

static void wl_region_destroy | ( | struct wl_region * | wl_region | ) |

inline static

Destroy the region. This will invalidate the object ID.

Definition at line 5269 of file wayland-client-protocol.h.

References WL_REGION_DESTROY.

{
wl_proxy_marshal((struct wl_proxy *) wl_region,
WL_REGION_DESTROY);
wl_proxy_destroy((struct wl_proxy *) wl_region);
}
WL_REGION_DESTROY
#define WL_REGION_DESTROY
Definition: wayland-client-protocol.h:5225

## wl_region_get_user_data()

static void* wl_region_get_user_data | ( | struct wl_region * | wl_region | ) |

inline static

Definition at line 5252 of file wayland-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) wl_region);
}

## wl_region_set_user_data()

static void wl_region_set_user_data | ( | struct wl_region * | wl_region,
|  | void * | user_data
| ) |  |

inline static

Definition at line 5245 of file wayland-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) wl_region, user_data);
}

## wl_region_subtract()

static void wl_region_subtract | ( | struct wl_region * | wl_region,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | width,
|  | int32_t | height
| ) |  |

inline static

Subtract the specified rectangle from the region.

Definition at line 5295 of file wayland-client-protocol.h.

References WL_REGION_SUBTRACT.

{
wl_proxy_marshal((struct wl_proxy *) wl_region,
WL_REGION_SUBTRACT, x, y, width, height);
}
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
WL_REGION_SUBTRACT
#define WL_REGION_SUBTRACT
Definition: wayland-client-protocol.h:5227